Bug 16382 - Piranha-gui-0.14.4 web interface, redundancy panel not saving state for active/inactive
Summary: Piranha-gui-0.14.4 web interface, redundancy panel not saving state for activ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: piranha   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-16 17:30 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-16 22:29:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A usable patch.. :) (1.16 KB, patch)
2000-08-16 17:34 UTC, Need Real Name
no flags Details | Diff
Much better, simpler solution. The other did not save state between panels. Please provide feedback. Thanks (352 bytes, patch)
2000-08-16 21:53 UTC, Need Real Name
no flags Details | Diff

Description Red Hat Bugzilla 2000-08-16 17:30:31 UTC
In the web-based mode of maintaining piranha, when you select the
redundancy tab on the main creen(for lvs clusters), the default is
disabled. When you click enable, it works great. After entering values and
clicking accept, it saves the values, but makes it disabled again. I got it
fixed, and here is a patch that fixes the problems. If it doesnt make it, I
can try again.


--- redundancy.php3.orig        Wed Aug 16 06:20:43 2000
+++ redundancy.php3     Wed Aug 16 07:18:22 2000
@@ -70,11 +70,14 @@
                $prim['keepalive']              = $hb_interval;
                $prim['deadtime']               = $dead_after;
                $prim['heartbeat_port']         = $hb_port;
+               //added to keep the backup enabled when accept is pushed.
RJM
+               $prim['backup_active']          = "1" ;
 
        }
 
        if (($enable == "1") || ($enable == "0")) {
-               $prim['backup_active']          = (1 - $enable) ;
+               //not sure why this is here... RJM
+               //$prim['backup_active']                = (1 - $enable) ;
        } else {
                $prim['backup_active'] = "0";
                $enable = "0";
@@ -210,6 +213,9 @@
                        <TD><INPUT TYPE="submit" NAME="full_enable"
VALUE=ENABLE></TD>
                        <!-- <TD ALIGN=right ><INPUT TYPE="submit"
NAME="enable" VALUE=DISABLE></TD> -->
                <? } else { ?>
+                       <!-- Added to make the check for $enable  RJM -->
+                       <INPUT TYPE="Hidden" NAME="enable" VALUE="1">
                        <TD><INPUT TYPE="Submit" NAME="redundancy_action"
VALUE="ACCEPT">  <SPAN CLASS="taboff">-- Click here to apply changes to
this page</SPAN></TD>
                        <TD ALIGN=right><SPAN CLASS="taboff"></SPAN><INPUT
TYPE="Submit" NAME="redundancy_action" VALUE="DISABLE"><INPUT TYPE="Submit"
NAME="redundancy_action" VALUE="RESET">
                <? } ?>

Comment 1 Red Hat Bugzilla 2000-08-16 17:34:53 UTC
Created attachment 2556 [details]
A usable patch.. :)

Comment 2 Red Hat Bugzilla 2000-08-16 21:53:22 UTC
Created attachment 2577 [details]
Much better, simpler solution. The other did not save state between panels. Please provide feedback. Thanks

Comment 3 Red Hat Bugzilla 2000-08-16 22:29:31 UTC
I agree with you. Forwarding to piranha's GUI guru :-)


Comment 4 Red Hat Bugzilla 2000-09-26 13:18:07 UTC
Has since been fixed in higher 0.4.X versions



Note You need to log in before you can comment on or make changes to this bug.